Bug 1805412 - Deployments serving more than one APIService are incorrectly configured
Summary: Deployments serving more than one APIService are incorrectly configured
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
: 4.5.0
Assignee: Alexander Greene
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On:
Blocks: 1805414
TreeView+ depends on / blocked
 
Reported: 2020-02-20 18:16 UTC by Nick Hale
Modified: 2020-07-13 17:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: OLM did not anticipate running multiple apiservices on a single deployment, and only mounted the CA associated with the last apiservice created by OLM. Consequence: OLM was unable to run multiple apiservices on a single deployment. Fix: OLM was updated to use the same CA for all apiservices on a single deployment. Result: OLM can now run multiple apiservices on a single deployment.
Clone Of:
: 1805414 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:16:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1339 None closed Bug 1805412: Support multiple APIServices on a single deployment 2020-06-23 08:41:36 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:17:18 UTC

Comment 1 Alexander Greene 2020-02-26 14:34:59 UTC
I have started reviewing the apiservice code and am designing a solution that introduces a minimal amount of changes due to the number of backports that have been targeted.

Comment 2 Alexander Greene 2020-03-03 14:23:02 UTC
I have created a PR that implements the feature request. I am now working on creating an e2e test that installs an operator that defines two packageservers that are ran on the same deployment.

Comment 9 errata-xmlrpc 2020-07-13 17:16:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.